
QGIS Application - Bug report #12082

Coordinates won't appear (outside the map object frame) in Print Composer on OsX

2015-01-28 10:28 AM - Llion Preston

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.8.1 Regression?: No

Operating System: OsX Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20278

Description

In Print Composer, Draw Coordinates won't display coordinates unless selected to appear inside frame. This is on a Mac running

Mavericks and:

QGIS version    2.6.1-Brighton    QGIS code revision    

Compiled against Qt    4.8.6    Running against Qt    4.8.6

Compiled against GDAL/OGR    1.11.1    Running against GDAL/OGR    1.11.1

Compiled against GEOS    3.4.2-CAPI-1.8.2    Running against GEOS    3.4.2-CAPI-1.8.2 r3921

PostgreSQL Client Version    9.3.5    SpatiaLite Version    4.2.0

QWT Version    6.0.2    PROJ.4 Version    480

QScintilla2 Version

History

#1 - 2015-01-29 07:40 AM - Giovanni Manghi

- Affected QGIS version changed from 2.6.0 to 2.6.1

- Subject changed from Coordinates won't appear in Print Composer to Coordinates won't appear (outside the map object frame) in Print Composer on 

OsX

- Category set to Map Composer/Printing

- Priority changed from High to Normal

- Operating System set to OsX

I has also been reported to me. After exporting to PDF the coordinates do show in the result.

#2 - 2015-04-14 02:34 PM - Rhenriques Henriques

- Target version set to Version 2.8.1

- Assignee set to Nyall Dawson

This bug is also present in the latest 2.8.1 version for MacOSX.

#3 - 2015-04-14 03:28 PM - Nyall Dawson

- Assignee deleted (Nyall Dawson)

Sorry - I don't have access to an OSX build environment to fix this
#4 - 2015-04-15 03:27 AM - Giovanni Manghi

- Affected QGIS version changed from 2.6.1 to 2.8.1

Nyall Dawson wrote:

Sorry - I don't have access to an OSX build environment to fix this

Hi Nyall,

I have seen this also on Windows and Linux. But this was during a training in January. Since then I have not hit this anymore, so I'm not sure if it was solved

someway or if it was something that was depending on a particular dataset or options.

#5 - 2015-05-10 01:03 AM - Giovanni Manghi

- Target version changed from Version 2.8.1 to Version 2.8.2

#6 - 2015-05-14 03:02 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Version 2.10

#7 - 2015-06-07 10:55 PM - Nyall Dawson

- Status changed from Open to Closed

- Resolution set to fixed/implemented
